image: maven:3.2-jdk-8

stages:
  - test
  - package

tast:
  stage: test
  script:
    - mvn test

cobertura:
  stage: test
  script:
    - mvn cobertura:cobertura
  artifacts:
    expire_in: 1 week
    paths:
        - target/site/cobertura/

package:
  stage: package
  script:
    - mvn package
  only:
    - tags
  artifacts:
    paths:
        - target/*.jar